export interface Logger {
    info: (message: any) => void;
    debug: (message: any) => void;
    error: (message: any) => void;
}
export interface Artifact {
    contractName: string;
    metadata: string;
    bytecode: string;
    ast: {
        absolutePath: string;
    };
    networks: {
        [networkId: string]: {
            address: string;
            links: {
                [libraryName: string]: string;
            };
        };
    };
}
export interface TruffleConfig {
    networks: {
        [networkName: string]: TruffleNetworkConfig;
    };
    api_keys?: {
        [platformName: string]: string;
    };
    verify?: {
        proxy?: {
            host: string;
            port: number;
        };
    };
    working_directory: string;
    contracts_directory: string;
    contracts_build_directory: string;
    network: string;
    network_id: string;
    provider?: TruffleProvider;
    _: string[];
    'custom-proxy'?: string;
    forceConstructorArgs?: string;
    debug?: boolean;
}
export interface TruffleNetworkConfig {
    verify?: {
        apiKey: string;
        apiUrl: string;
        explorerUrl: string;
    };
}
export interface TruffleProvider {
    send?: any;
    sendAsync?: any;
}
export interface Options {
    apiUrl: string;
    apiKey: string;
    explorerUrl: string;
    networkId: number;
    chainId: number;
    provider?: TruffleProvider;
    projectDir: string;
    contractsBuildDir: string;
    contractsDir: string;
    forceConstructorArgs?: string;
    customProxy?: string;
}
